Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model
Interface VTDomainModelReferenceSelector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleSelector

All Known Implementing Classes:
  VTDomainModelReferenceSelectorImpl

    public interface VTDomainModelReferenceSelector

extends VTStyleSelector

A representation of the model object 'Domain Model Reference Selector'.

The following features are supported:

- `Domain Model Reference`

See Also:
  `VTDomainmodelreferencePackage.getDomainModelReferenceSelector()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleSelector
`NOT_APPLICABLE`

Method Summary
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the ' `Domain Model Reference`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleSelector
`isApplicable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `VTDomainmodelreferencePackage.getDomainModelReferenceSelector_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the ' `Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  See Also:
    `getDomainModelReference()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.